.majestic_location_main_title {
    padding: 0;
    margin: 0;
    position: relative;
    text-transform: uppercase;
    font: 200 calc(var(--majestic_default_font_size) * var(--location_main_title)) 'Averta', sans-serif;
    color: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    text-align: center;
    z-index: 9999;
    transform: translate(-50%, -50%);
}

.majestic_location_bottom_shadow {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, rgba(255, 255, 255, 0.17) 0%, rgba(0, 255, 0, 0) 30%);
    /* background-color: rgba(135, 206, 235, 0.2); */
    z-index: 1;
}

.majestic_location_general_text {
    font: 300 var(--majestic_default_font_size)/calc(var(--majestic_default_line_height) * 1.1) var(--default_font_family), serif;
    padding: 0;
    position: relative;
    width: 70%;
    color: #272727;
    margin: 0 auto 2vmax auto;
}

.majestic_location_divider {
    text-align: center;
    font: 700 calc(var(--majestic_default_font_size) * var(--section_divider)) var(--section_dividers_font_family), serif;
    padding: 0;
    margin: 0 auto;
    position: relative;
    width: 70%;
    color: var(--top_menu_color);
}

.majestic_location_map_container {
    width: 80%;
    height: 60vh;
    position: relative;
    margin: 2vmax auto;
}

.majestic_location_map_container iframe {
    width: 100%;
    position: relative;
    height: 100%;
}


/*--------------TABLE---------------*/

.troodos_2021_location_distances {
    width: 80%;
    position: relative;
    margin: 2vmax auto 0 auto;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-content: flex-start;
    justify-content: flex-start;
    align-items: stretch;
}

.troodos_2021_location_distances_row {
    flex: 0 1 100%;
    position: relative;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: flex-start;
    align-items: center;
    border-bottom: 1px solid #999;
    transition: 0.2s all ease-in-out;
    padding: 0.5vmax 0;
}

.troodos_2021_location_distances_first {
    background-color: transparent;
    /* border-radius: 0px 0px 0 0;
    border: none!important; */
}

.troodos_2021_location_distances_first .troodos_2021_location_distances_row_item {
    font: 600 calc(var(--majestic_default_font_size) * 1.1)/var(--majestic_default_line_height) var(--default_font_family), serif;
    color: var(--top_menu_color);
    /* border-right: 1px solid #999; */
    background-color: transparent;
}

.troodos_2021_location_distances_row_item {
    flex: 1 0 24%;
    position: relative;
    font: 300 var(--majestic_default_font_size) / var(--majestic_default_line_height) var(--default_font_family), serif;
    padding: 10px 0;
    text-align: center;
    /* border-right: 1px solid #999; */
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.troodos_2021_location_distances_row:hover:not(.troodos_2021_location_distances_first) {
    background-color: var(--majestic_video_background);
    /* background-color: var(--top_menu_color); */
    transition: 0.2s all ease-in-out;
}

.troodos_2021_location_distances_row:hover:not(.troodos_2021_location_distances_first) .troodos_2021_location_distances_row_item {
    color: #fff;
    transition: 0.2s all ease-in-out;
}


/*--------------TABLE---------------*/

@media screen and (max-width: 1280px) {
    .majestic_location_general_text,
    .majestic_location_divider {
        width: 95%;
    }
    .troodos_2021_location_distances {
        width: 100%;
    }
}

@media screen and (orientation: portrait) and (max-width: 1280px) {
    .majestic_location_map_container {
        width: 100%;
        position: relative;
        height: 50vh;
    }
}

@media screen and (orientation: landscape) and (max-width: 1280px) {
    .majestic_location_map_container {
        width: 100%;
        position: relative;
        height: 90vh;
    }
}